ModelDefinitionsRepository
Keywords: uk.ac.ic.doc.automed.ModelDefinitionsRepository,ModelDefinitionsRepository class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed
Class ModelDefinitionsRepository

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.MDR
            |
            +--uk.ac.ic.doc.automed.ModelDefinitionsRepository

public class ModelDefinitionsRepository
extends MDR

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.MDR
`MDR_DataSourceName, userName`

Constructor Summary
`ModelDefinitionsRepository()`

Methods inherited from class uk.ac.ic.doc.automed.MDR
`cidExists, createConstruct, createConstructScheme, createModel, executeQuery, executeUpdate, getConstructClass, getConstructConstraint, getConstructMID, getConstructName, getConstructNames, getConstructProperty, getConstructs, getConstructSchemeArgCID, getConstructSchemeCount, getConstructSchemeHDMType, getConstructSchemeLowerBound, getConstructSchemeType, getConstructSchemeUpperBound, getDataSourceName, getIntegerConstructProperty, getMDR_DataSourceName, getModelByName, getModelName, getModelNames, getModels, getStringConstructProperty, isConstructRoot, isConstructSchemeKey, main, removeConstruct, removeConstructScheme, removeModel, setConstructClass, setConstructConstraint, setConstructMID, setConstructName, setConstructProperty, setConstructRoot, setConstructSchemeArgCID, setConstructSchemeHDMType, setConstructSchemeKey, setConstructSchemeLowerBound, setConstructSchemeType, setConstructSchemeUpperBound, setDataSourceName, setMDR_DataSourceName, setModelName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelDefinitionsRepository

    public ModelDefinitionsRepository()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD